# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1069.1.281+1.1069.303.1 -> 1.1069.1.282
#	include/acpi/acglobal.h	1.22.1.4 -> 1.25.1.2
#	  drivers/acpi/osl.c	1.26.1.3 -> 1.29.1.2
#	include/acpi/acutils.h	1.22.1.4 -> 1.25.1.2
#	drivers/acpi/parser/psscope.c	1.11.1.2 -> 1.13.1.1
#	drivers/acpi/utilities/uteval.c	1.15.1.4 -> 1.18.1.2
#	drivers/acpi/utilities/utglobal.c	1.20.1.7 -> 1.22.1.5
#	include/acpi/acobject.h	1.16.1.4 -> 1.19.1.1
#	drivers/acpi/parser/psparse.c	1.17.1.4 -> 1.19.1.3
#	include/acpi/acconfig.h	1.35.1.10 -> 1.37.1.8
#	drivers/acpi/system.c	1.13.1.5 -> 1.17.1.4
#	drivers/acpi/namespace/nseval.c	1.15.1.3 -> 1.17.1.2
#	include/linux/pci_ids.h	1.44.1.41 -> 1.46.1.28
#	drivers/acpi/dispatcher/dsmethod.c	1.14.1.3 -> 1.17.1.1
#	drivers/acpi/namespace/nsalloc.c	1.15.1.3 -> 1.18.1.1
#	include/acpi/acmacros.h	1.17.1.3 -> 1.20.1.1
#	include/acpi/actypes.h	1.27.1.4 -> 1.30.1.2
#	include/acpi/amlcode.h	1.14.1.2 -> 1.16.1.1
#	            Makefile	1.190.7.15 -> 1.193.1.54
#	drivers/acpi/executer/exmutex.c	1.10.1.3 -> 1.13.1.1
#	Documentation/Configure.help	1.162.1.72 -> 1.166.1.36
#	drivers/acpi/executer/excreate.c	1.14.1.3 -> 1.16.1.2
#	drivers/acpi/namespace/nsaccess.c	1.18.1.4 -> 1.21.1.2
#	arch/i386/kernel/pci-irq.c	1.20.1.6 -> 1.22.1.4
#
diff -Nru a/Documentation/Configure.help b/Documentation/Configure.help
--- a/Documentation/Configure.help	Fri Mar 19 16:24:37 2004
+++ b/Documentation/Configure.help	Fri Mar 19 16:24:37 2004
@@ -18601,6 +18601,11 @@
   purpose port, say Y here. See
   <http://www.dig64.org/specifications/DIG64_HCDPv10a_01.pdf>.
 
+Support for serial ports defined in ACPI namespace
+CONFIG_SERIAL_ACPI
+  If you wish to enable serial port discovery via the ACPI
+  namespace, say Y here.  If unsure, say N.
+
 Support for PowerMac serial ports
 CONFIG_MAC_SERIAL
   If you have Macintosh style serial ports (8 pin mini-DIN), say Y
diff -Nru a/Makefile b/Makefile
--- a/Makefile	Fri Mar 19 16:24:37 2004
+++ b/Makefile	Fri Mar 19 16:24:37 2004
@@ -93,6 +93,7 @@
 
 CFLAGS := $(CPPFLAGS) -Wall -Wstrict-prototypes -Wno-trigraphs -O2 \
 	  -fno-strict-aliasing -fno-common
+CFLAGS += -g
 ifndef CONFIG_FRAME_POINTER
 CFLAGS += -fomit-frame-pointer
 endif
@@ -307,8 +308,7 @@
 	$(CONFIG_SHELL) scripts/Configure -d arch/$(ARCH)/config.in
 
 xconfig: symlinks
-	$(MAKE) -C scripts kconfig.tk
-	wish -f scripts/kconfig.tk
+	@echo -e "***\n* Sorry, xconfig is broken; use \"make menuconfig\" instead.\n***"
 
 menuconfig: include/linux/version.h symlinks
 	$(MAKE) -C scripts/lxdialog all
